package com.supplier.service;

import com.supplier.model.Ignore;
import com.supplier.model.PrivateOrder;

import java.util.List;

public interface PrivateOrderService {

    List<PrivateOrder> getPrivateOrder(PrivateOrder privateOrder);

    int getPrivateOrderCount(PrivateOrder privateOrder);

    void addIgnore(Ignore ignore);

    PrivateOrder getPrivateOrderById(String uuid);

    int getPrivateOrderType(PrivateOrder privateOrder);

    List<PrivateOrder> getPrivateOrderZeor(PrivateOrder privateOrder);
}
